﻿using System;
using System.Collections.Generic;

namespace Entities.Models
{
    public partial class Transaction
    {
        public Guid Id { get; set; }
        public Guid? CollectionId { get; set; }
        public int Version { get; set; }
        public Guid BankOperationId { get; set; }
        public decimal? IncomeAmount { get; set; }
        public decimal? OutcomeAmount { get; set; }
        public decimal BalanceAmount { get; set; }
        public bool IsChanged { get; set; }
        public DateTime? ModifiedDate { get; set; }
        public Guid BankAccountId { get; set; }
        public Guid BusinessId { get; set; }
        public DateTime CreateDate { get; set; }
        public DateTime OperationCreateDate { get; set; }

        public virtual BankOperation BankOperation { get; set; } = null!;
    }
}
