﻿using System;
using System.Collections.Generic;

namespace Entities.Models
{
    public partial class BankOperation
    {
        public BankOperation()
        {
            SkTransactions = new HashSet<Transaction>();
        }

        public Guid Id { get; set; }
        public Guid? CollectionId { get; set; }
        public int Version { get; set; }
        public Guid? CreatedUserId { get; set; }
        public DateTime? CreatedDate { get; set; }
        public Guid? ModifiedUserId { get; set; }
        public DateTime? ModifiedDate { get; set; }
        public string? Status { get; set; }
        public string? Code { get; set; }
        public DateTime? DocDate { get; set; }
        public string? Note { get; set; }
        public Guid? BusinessId { get; set; }
        public Guid? BankAccountId { get; set; }
        public Guid? CashOperationTypeId { get; set; }
        public Guid? CustomerId { get; set; }
        public decimal? IncomeAmount { get; set; }
        public decimal? OutcomeAmount { get; set; }
        public string? Purpose { get; set; }
        public Guid? OperationPurposeId { get; set; }
        public Guid? IncomeItemsCollectionId { get; set; }
        public Guid? OutcomeItemsCollectionId { get; set; }
        public Guid? CustomHouseItemsCollectionId { get; set; }
        public decimal? AdvanceAmount { get; set; }
        public decimal? BalanceAmount { get; set; }
        public bool? IsChanged { get; set; }

        public virtual ICollection<Transaction> SkTransactions { get; set; }
    }
}
